public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Viorel Munteanu" <ceamac@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/proj/guru:master commit in: dev-libs/libdwarf/
Date: Fri, 19 May 2023 18:51:18 +0000 (UTC)	[thread overview]
Message-ID: <1684362382.713f7015876dbfe88be5502aef2840272678fab2.ceamac@gentoo> (raw)

commit:     713f7015876dbfe88be5502aef2840272678fab2
Author:     Lucio Sauer <watermanpaint <AT> posteo <DOT> net>
AuthorDate: Wed May 17 22:26:22 2023 +0000
Commit:     Viorel Munteanu <ceamac <AT> gentoo <DOT> org>
CommitDate: Wed May 17 22:26:22 2023 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=713f7015

dev-libs/libdwarf: add 0.6.0

Signed-off-by: Lucio Sauer <watermanpaint <AT> posteo.net>

 dev-libs/libdwarf/Manifest              |  1 +
 dev-libs/libdwarf/libdwarf-0.6.0.ebuild | 49 +++++++++++++++++++++++++++++++++
 2 files changed, 50 insertions(+)

diff --git a/dev-libs/libdwarf/Manifest b/dev-libs/libdwarf/Manifest
index 6a3720b09..ec51adf5b 100644
--- a/dev-libs/libdwarf/Manifest
+++ b/dev-libs/libdwarf/Manifest
@@ -1,3 +1,4 @@
 DIST libdwarf-0.4.0.tar.xz 2380228 BLAKE2B ee9d02284740b3f4961299e2e4530c2934cde4defefebd8a8ca3aab232f0a18fc35d376c2f61ee323f7db7e6460a3f5e662781f8086438c287f716067c2b7594 SHA512 30e5c6c1fc95aa28a014007a45199160e1d9ba870b196d6f98e6dd21a349e9bb31bba1bd6817f8ef9a89303bed0562182a7d46fcbb36aedded76c2f1e0052e1e
 DIST libdwarf-0.4.1.tar.xz 2410800 BLAKE2B 88753ebc2606fbcc7a41ea3db8f5bc1b41357705f7b4e21acb49c13d96f3741a7305b764ab973bc9ac0c6c4246b668f82d93886451d9963f4237a9ff47694429 SHA512 793fe487de80fe6878f022b90f49ec334a0d7db071ff22a11902db5e3457cc7f3f853945a9ac74de2c40f7f388277f21c5b2e62745bca92d2bb55c51e9577693
 DIST libdwarf-0.5.0.tar.xz 2477032 BLAKE2B 6e12b1dd8a8a7a8a66ae992cb199cab015f1dcca09d44cb44ffb422e6b792ba7f3127804379afbe6cedb05c8c864930d26fc1a03166687bd2446f519c9571ea9 SHA512 53ef7062deacaac2c8a7c829699ee53c88c7865437a54b70b2807da3f24cee13083b5bdd16bcc7ba6e194a271c23860e75cf92c2cc61ec94a7da837f4ee794e2
+DIST libdwarf-0.6.0.tar.xz 2437352 BLAKE2B 0ba6bf4a7ce564f4fd88dacefcf2412a01bb6ceebec24b03ce54d7f29dee8b94066318c5cd16fb5a09db7a276df37cbbd4fe1f47123d0baf50306d448e076702 SHA512 839ba5e4162630ad804d76bd2aa86f35780a178dcda110106a5ee4fb27807fdf45f12e8bbb399ff53721121d0169a73335898f94218a1853116bb106dd455950

diff --git a/dev-libs/libdwarf/libdwarf-0.6.0.ebuild b/dev-libs/libdwarf/libdwarf-0.6.0.ebuild
new file mode 100644
index 000000000..67cd1723c
--- /dev/null
+++ b/dev-libs/libdwarf/libdwarf-0.6.0.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit meson
+
+DESCRIPTION="The DWARF Debugging Information Format"
+HOMEPAGE="
+	https://www.prevanders.net/dwarf.html
+	https://www.dwarfstd.org
+	https://github.com/davea42/libdwarf-code
+"
+SRC_URI="https://www.prevanders.net/${P}.tar.xz"
+
+LICENSE="BSD GPL-2 LGPL-2.1"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="doc dwarfexample dwarfgen +elf"
+
+DEPEND="
+	app-arch/zstd:=
+	sys-libs/zlib:=
+	elf? ( virtual/libelf:= )
+"
+RDEPEND="${DEPEND}"
+BDEPEND="doc? ( app-doc/doxygen )"
+
+DOCS=( AUTHORS NEWS README.md )
+
+src_configure() {
+	local emesonargs=(
+		$(meson_use dwarfgen)
+		$(meson_use dwarfexample)
+		$(meson_use doc)
+		$(meson_use elf libelf)
+	)
+	meson_src_configure
+}
+
+src_install(){
+	meson_src_install
+
+	dodoc ChangeLog* doc/*.pdf
+	if use doc; then
+		mv "${ED}"/usr/share/doc/${PN}/* "${ED}"/usr/share/doc/${PF}/ || die
+		rmdir "${ED}"/usr/share/doc/${PN} || die
+	fi
+}


             reply	other threads:[~2023-05-19 18:51 UTC|newest]

Thread overview: 22+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-05-19 18:51 Viorel Munteanu [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-04-07  8:45 [gentoo-commits] repo/proj/guru:dev commit in: dev-libs/libdwarf/ David Roman
2025-04-07  9:32 ` [gentoo-commits] repo/proj/guru:master " David Roman
2025-04-07  8:45 [gentoo-commits] repo/proj/guru:dev " David Roman
2025-04-07  9:32 ` [gentoo-commits] repo/proj/guru:master " David Roman
2024-12-11 10:15 Florian Schmaus
2024-12-05 12:00 Florian Schmaus
2024-12-05 12:00 Florian Schmaus
2024-09-01 15:53 David Roman
2024-09-01 15:24 [gentoo-commits] repo/proj/guru:dev " David Roman
2024-09-01 15:53 ` [gentoo-commits] repo/proj/guru:master " David Roman
2024-07-09  9:46 David Roman
2024-07-09  9:31 [gentoo-commits] repo/proj/guru:dev " David Roman
2024-07-09  9:46 ` [gentoo-commits] repo/proj/guru:master " David Roman
2024-06-28 10:57 David Roman
2024-04-20 15:12 Julien Roy
2024-04-18 14:41 [gentoo-commits] repo/proj/guru:dev " David Roman
2024-04-18 16:24 ` [gentoo-commits] repo/proj/guru:master " David Roman
2024-02-22 13:57 [gentoo-commits] repo/proj/guru:dev " David Roman
2024-02-23  1:36 ` [gentoo-commits] repo/proj/guru:master " David Roman
2024-02-22 13:57 [gentoo-commits] repo/proj/guru:dev " David Roman
2024-02-23  1:36 ` [gentoo-commits] repo/proj/guru:master " David Roman
2023-01-14 18:43 Andrew Ammerlaan
2022-06-18 19:19 Andrew Ammerlaan
2022-06-13 10:49 Andrew Ammerlaan
2021-06-15  7:11 Andrew Ammerlaan
2021-05-21 14:10 Michał Górny
2021-04-18  9:10 Andrew Ammerlaan
2021-04-18  9:10 Andrew Ammerlaan

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1684362382.713f7015876dbfe88be5502aef2840272678fab2.ceamac@gentoo \
    --to=ceamac@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox